using Valg.EVA.Skanning.UserInterfaceElements.LightBox;
using Valg.EVA.Skanning.UserInterfaceElements;

namespace Valg.EVA.Skanning.Verify.Startup.PlacementInBox
{
    public class PlacementInBoxViewModel : ViewModelBase, IPlacementInBoxViewModel
    {
        public string PlacementInBoxInformation { get; set; }

        public void ShowPlacementInBoxWindow(int placementInBox, int totalNumberOfBallots)
        {  
            PlacementInBoxInformation = string.Format(Valg.EVA.Skanning.Resources.Language.VerifyLanguageString.PlacementInBox_Template, placementInBox, totalNumberOfBallots);

            var eventArgs = new LightBoxEventArgs(typeof(PlacementInBoxWindow), this);
            PublishEvent<ShowLightBoxEvent, LightBoxEventArgs>(eventArgs);
        }
    }
}
